Home>

When I tried to install Socket.IO-Client-Swift referring to the following site, I was in trouble.
(https://qiita.com/Takumi_Mori/items/390c5dae9e2a9d4290bd#socketio-client-swift%E3%81%AE%E3%82%A4%E3%83%B3%E3%82%B9%E3%83%88 % E3% 83% BC% E3% 83% AB)

platform: ios, '8.0'
use_frameworks!
def install_pods
    pod 'Socket.IO-Client-Swift'
end
target "SocketTest" do
    install_pods
end


And

pod install


I installed with AppDelegate.swift

import SocketIOClientSwift
  

No Such Module'SocketIOClientSwift'

is displayed and you cannot import.
I haven't used cocoapods so much and I don't know how to deal with it.

  • Answer # 1

    Did you see the official GitHub? The information in the article being referenced is out of date.

    The API has changed significantly since v13, and the module name has also changed.

    import SocketIO

    If you really want to implement with reference to the old article, you can also specify and install Socket.IO-Client-Swift v12 or lower.